Bug 243254

Summary: security/strongswan: Add PYTHON plugin option
Product: Ports & Packages Reporter: Dries Michiels <driesm.michiels>
Component: Individual Port(s)Assignee: Mateusz Piotrowski <0mp>
Status: Closed FIXED    
Severity: Affects Only Me CC: 0mp, python, strongswan
Priority: --- Keywords: feature, needs-patch
Version: LatestFlags: strongswan: maintainer-feedback+
Hardware: Any   
OS: Any   
Bug Depends on: 243270    
Bug Blocks:    
Attachments:
Description Flags
strongswan.diff
none
strongswanv2.diff none

Description Dries Michiels 2020-01-10 18:39:14 UTC
Hi maintainer and possibly other devs :-).

I'm in the need of the python API for libvici for strongSwan as I need to script a few things. The python module is in the link below.

https://github.com/strongswan/strongswan/tree/master/src/libcharon/plugins/vici/python

The plugin is in the same repository as the main strongSwan port.
So my question is, do we want to create an option to the current port to include the python interface or do we create a seperate port that gives this functionality? eg py-strongswan-libvici

Regards,
Dries
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 13:58:57 UTC
Per the repositories setup.py[.in], vici is already packaged in PyPI as "vici" [1]

It should be ported/packaged individually under the name sysutils/py-vici, or security/py-vici to match strongswan's category.

Strongswan may then add a PYTHON option which *_DEPENDS on that port.

Please create a new Bugzilla issue that "Blocks" this issue ID, with summary:

"[NEW PORT] security/py-vici: Native Python interface for strongSwan's VICI protocol"

[1] https://pypi.org/project/vici/
Comment 2 Dries Michiels 2020-01-16 20:32:59 UTC
Created attachment 210802 [details]
strongswan.diff

Initial patch that adds the PYVICI option. Feedback always welcome.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-17 08:45:46 UTC
(In reply to Dries Michiels from comment #2)

I'd name this PYTHON, "Python vici protocol plugin" as its PYTHON_DESC, leaving room to create a VICI options group in the future for the other plugin implementations that exist [1]

[1] https://wiki.strongswan.org/projects/strongswan/wiki/Vici#Writing-clients
Comment 4 Dries Michiels 2020-01-17 19:20:55 UTC
Created attachment 210824 [details]
strongswanv2.diff

Rename option to PYTHON with description suggested by koobs.
Comment 5 strongswan 2020-01-21 09:18:37 UTC
Comment on attachment 210824 [details]
strongswanv2.diff

I am happy with this update once Bug 243270 has been committed.
Comment 6 Mateusz Piotrowski freebsd_committer 2020-01-31 16:31:34 UTC
Grab.
Comment 7 commit-hook freebsd_committer 2020-01-31 16:39:40 UTC
A commit references this bug:

Author: 0mp
Date: Fri Jan 31 16:39:20 UTC 2020
New revision: 524730
URL: https://svnweb.freebsd.org/changeset/ports/524730

Log:
  security/strongswan: Add PYTHON plugin option for a VICI protocol plugin

  PR:		243254
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com>
  Approved by:	maintainer
  Event:		Brussels DevSummit 2020

Changes:
  head/security/strongswan/Makefile
Comment 8 Mateusz Piotrowski freebsd_committer 2020-01-31 16:40:06 UTC
Thank you for the patch!